Bug 34220 - Detects Load on output and blinks screen every ~30secs
Summary: Detects Load on output and blinks screen every ~30secs
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
: 34972 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-12 20:54 UTC by Manuel Mendez
Modified: 2014-02-25 23:10 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log with nouveau driver (17.82 KB, text/plain)
2011-03-23 07:01 UTC, Viktor Novotný
no flags Details
kernel log with nouveau driver (37.33 KB, text/plain)
2011-03-23 07:01 UTC, Viktor Novotný
no flags Details
Xorg log with nvidia driver (13.68 KB, text/plain)
2011-03-23 07:02 UTC, Viktor Novotný
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Mendez 2011-02-12 20:54:37 UTC
Card is GeForce 7100 GS
OS is Arch latest.

Problem:
Every 30 seconds the monitor connected via VGA blinks off, and then comes back on. dmesg output shows '[drm] nouveau 0000:01:00.0: Load detected on output A'. 

The resolution is also incorrectly detected/set to '1024x768', when '1920x1080' should be the preferred. If I add the other monitor's (DVI) preferred mode to the VGA and then set that as the mode it works fine.

I have seen bugs 26800, and 29455 but they don't quite match my problem. I don't want TV out and my resolutions are fine after I add the mode to the output and select it. Turning off TV-1 doesn't fix the problem.
Comment 1 Balló György 2011-03-09 19:59:07 UTC
Same here, the screen randomly blinks out in every 30/60/90th… seconds. (I also use Arch Linux)

My video card:
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX 440] (rev a3)

The error message on each blink from everything.log:
kernel: [drm] nouveau 0000:01:00.0: DDC responded, but no EDID for VGA-1
kernel: [drm] nouveau 0000:01:00.0: Load detected on output A

Package versions:
kernel26 2.6.37.3-1
libdrm 2.4.23-2
xf86-video-nouveau 0.0.16_git20101217-1
xorg-server 1.9.4-1
libgl 7.10.1-1
mesa 7.10.1-1

I reported this bug on Arch Linux bugtracker also:
https://bugs.archlinux.org/task/23213
Comment 2 Nikolay Rysev 2011-03-20 03:51:58 UTC
*** Bug 34972 has been marked as a duplicate of this bug. ***
Comment 3 Viktor Novotný 2011-03-23 06:59:29 UTC
I have same problem, card is
01:00.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4 Ti 4200] (rev a3)
OS is Gentoo.
I tried
Nouveau kernels 2.6.38-rc8-g7972f91 and 2.6.37-rc3-gd095e23,
xorg-servers 1.9.4, 1.9.5 and 1.10.0,
xf86-video-nouveau 0.0.16_pre20101130 and git 92db2bc.

Nothing helped, so I tried proprietary drivers 96.43.19 and noticed line
[    30.567] (WW) NVIDIA(GPU-0): Unable to read EDID for display device CRT-1
This lead me to trying i2cdetect and indeed on all 3 i2c adapters there is nothing on adress 0x50, where EDID should be. Any ideas?
Comment 4 Viktor Novotný 2011-03-23 07:01:13 UTC
Created attachment 44752 [details]
Xorg log with nouveau driver
Comment 5 Viktor Novotný 2011-03-23 07:01:52 UTC
Created attachment 44753 [details]
kernel log with nouveau driver
Comment 6 Viktor Novotný 2011-03-23 07:02:23 UTC
Created attachment 44754 [details]
Xorg log with nvidia driver
Comment 7 Manuel Mendez 2011-03-26 07:58:04 UTC
dmesg now outputs this:

[drm] nouveau 0000:01:00.0: Load detected on output A
[drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 222
[drm] nouveau 0000:01:00.0: Load detected on output A
[drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 222
[drm] nouveau 0000:01:00.0: Load detected on output A
[drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
[drm] nouveau 0000:01:00.0: Setting dpms mode 0 on tmds encoder (output 2)
Comment 8 Viktor Novotný 2011-03-30 13:40:33 UTC
Turns out in my case problem was caused either by bad cable or dust in the monitor, after dusting monitor and manipulating with the cable, EDID is detected again, so sorry for the noise.

Anyway, should really Nouveau blink the monitor every 30s when it does not detect EDID?
Comment 9 Ruslan Kabatsayev 2013-02-20 20:02:54 UTC
I have the same problem with GeForce GTX 460 and nouveau. And indeed, even official nvidia driver doesn't find EDID for the screen which blinks with nouveau. Still, binary nvidia drives that monitor OK, so nouveau should too.
Comment 10 Balló György 2013-08-20 01:56:18 UTC
I think it has been fixed in upower with this commit:

 Add an option for polling dock devices in UPower.conf, defaulting to false
 http://cgit.freedesktop.org/upower/commit/?id=38199e44ff1e87b586d51d30b69d1f70e40d27f1
Comment 11 Ilia Mirkin 2013-08-20 03:06:34 UTC
Sounds like the bug here is that nouveau causes the VGA display to blink on/off when checking whether it is connected. (And, to exacerbate the issue, there's something polling every 30s to see if the monitor is connected/what modes it has or something.)

Could someone with an affected monitor try to

cat /sys/class/drm/card0-VGA-0/status

(or whatever card/connector the thing is on)

and see if that action causes the monitor to blink on/off? If not, check /sys/.../modes and .../edid and .../dpms. I'm guessing at least one of those will cause the blinking issue.

My understanding of the VGA DDC stuff is that the monitor doesn't even have to be powered on in order to get at that stuff (I guess power is supplied in the VGA cable itself), much less have to try to show a picture. Although perhaps not all monitors comply with that ideal.

BTW, please be sure to test it out with the latest kernel, just in case this has been fixed.
Comment 12 johnlu best 2014-02-25 22:51:37 UTC
(In reply to comment #11)
> Sounds like the bug here is that nouveau causes the VGA display to blink
> on/off when checking whether it is connected. (And, to exacerbate the issue,
> there's something polling every 30s to see if the monitor is connected/what
> modes it has or something.)
> 
> Could someone with an affected monitor try to
> 
> cat /sys/class/drm/card0-VGA-0/(In reply to comment #11)
> Sounds like the bug here is that nouveau causes the VGA display to blink
> on/off when checking whether it is connected. (And, to exacerbate the issue,
> there's something polling every 30s to see if the monitor is connected/what
> modes it has or something.)
> 
> Could someone with an affected monitor try to
> 
> cat /sys/class/drm/card0-VGA-0/status
> 
> (or whatever card/connector the thing is on)
> 
> and see if that action causes the monitor to blink on/off? If not, check
> /sys/.../modes and .../edid and .../dpms. I'm guessing at least one of those
> will cause the blinking issue.
> 
> My understanding of the VGA DDC stuff is that the monitor doesn't even have
> to be powered on in order to get at that stuff (I guess power is supplied in
> the VGA cable itself), much less have to try to show a picture. Although
> perhaps not all monitors comply with that ideal.
> 
> BTW, please be sure to test it out with the latest kernel, just in case this
> has been fixed.

I can confirm that blinking issue after cat /sys/class/drm/card0-VGA-0/status every ~30 seconds. I'm using nvidia 7300 gt. do you need more data?
Comment 13 Ilia Mirkin 2014-02-25 23:10:04 UTC
(In reply to comment #12)
> I can confirm that blinking issue after cat
> /sys/class/drm/card0-VGA-0/status every ~30 seconds. I'm using nvidia 7300
> gt. do you need more data?

I'm very confused by your comment. Does cat'ing the status cause an immediate blink, yes or no? (Your comment, taken literally, seems to imply that things are all fine, then you cat the file, and then the blink happens every 30s. This seems unlikely.)

What kernel version are you using?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.